epp_Response (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp0705.epp_Response class

### org.openrtk.idl.epp0705

# Class epp_Response

- `java.lang.Object`
- - `org.openrtk.idl.epp0705.epp_Response`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_Response`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class that contains the common and generic elements returned by the EPP server in response to a client EPP command. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epp0705/epp_Response.java,v 1.1 2003/03/20 22:42:19 tubadanm Exp $
$Revision: 1.1 $
$Date: 2003/03/20 22:42:19 $

See Also:
  `epp_LoginRsp.setRsp(epp_Response)`, `org.openrtk.idl.epp0705.domain.epp_DomainCreateRsp.setRsp(epp_Response)`

  ## Field Summary
  `String[]` | `m_extension_strings` The optional response extensions from the registry.
  `epp_MessageQueue` | `m_message_queue` The element that indicates stauts of the messages queued in the EPP server for client retrieval.
  `epp_Result[]` | `m_results` The array of the results that document the success or failure of an EPP command execution.
  `epp_TransID` | `m_trans_id` The transaction identifiers assigned by the client and the server.

  ## Constructor Summary
  `epp_Response()` Empty constructor
  `epp_Response(epp_Result[] _m_results, epp_MessageQueue _m_message_queue, String _m_extension_string, epp_TransID _m_trans_id)` Deprecated.
  `epp_Response(epp_Result[] _m_results, epp_MessageQueue _m_message_queue, String[] _m_extension_strings, epp_TransID _m_trans_id)` The constructor with initializing variables.

  ## Method Summary
  `String` | `getExtensionString()` Deprecated.
  `String[]` | `getExtensionStrings()` Accessor method for the response extensions from the registry
  `epp_MessageQueue` | `getMessageQueue()` Accessor method for the element that indicates the status of the messages queued in the EPP server
  `epp_Result[]` | `getResults()` Accessor method for the array of the results that document the success or failure of an EPP command execution
  `epp_TransID` | `getTransId()` Accessor method for the transaction identifiers assigned by the client and the server
  `String` | `getUnspecString()` Deprecated. Please use getExtensionString() instead.
  `void` | `setExtensionString(String value)` Deprecated.
  `void` | `setExtensionStrings(String[] value)` Accessor method for the response extensions from the registry
  `void` | `setMessageQueue(epp_MessageQueue value)` Accessor method for the element that indicates the status of the messages queued in the EPP server
  `void` | `setResults(epp_Result[] value)` Accessor method for the array of the results that document the success or failure of an EPP command execution
  `void` | `setTransId(epp_TransID value)` Accessor method for the transaction identifiers assigned by the client and the server
  `void` | `setUnspecString(String value)` Deprecated. Please use getExtensionString() instead.
  `String` | `toString()` Converts this class into a string.

## Field Details

### m_extension_strings

    public String[] m_extension_strings

> The optional response extensions from the registry.
> See Also:
>   `setExtensionStrings(String[])`, `getExtensionStrings()`

### m_message_queue

    public epp_MessageQueue m_message_queue

> The element that indicates stauts of the messages queued in the EPP server for client retrieval.
> See Also:
>   `setMessageQueue(epp_MessageQueue)`, `getMessageQueue()`

### m_results

    public epp_Result[] m_results

> The array of the results that document the success or failure of an EPP command execution.
> See Also:
>   `setResults(epp_Result[])`, `getResults()`

### m_trans_id

    public epp_TransID m_trans_id

> The transaction identifiers assigned by the client and the server.
> See Also:
>   `setTransId(epp_TransID)`, `getTransId()`

## Constructor Details

### epp_Response

    public epp_Response()

> Empty constructor

### epp_Response

    public epp_Response(epp_Result[] _m_results,
                        epp_MessageQueue _m_message_queue,
                        String _m_extension_string,
                        epp_TransID _m_trans_id)

> Deprecated.

> The constructor with initializing variables.
> Parameters:
>   `_m_results` - The array of the results that document the success or failure of an EPP command execution
>   `_m_message_queue` - The element that indicates the status of the messages queued in the EPP server
>   `_m_extension_string` - The response extensions from the registry
>   `_m_trans_id` - The transaction identifiers assigned by the client and the server

### epp_Response

    public epp_Response(epp_Result[] _m_results,
                        epp_MessageQueue _m_message_queue,
                        String[] _m_extension_strings,
                        epp_TransID _m_trans_id)

> The constructor with initializing variables.
> Parameters:
>   `_m_results` - The array of the results that document the success or failure of an EPP command execution
>   `_m_message_queue` - The element that indicates the status of the messages queued in the EPP server
>   `_m_extension_strings` - The response extensions from the registry
>   `_m_trans_id` - The transaction identifiers assigned by the client and the server

## Method Details

### getExtensionString

    public String getExtensionString()

> Deprecated.

> Accessor method for the response extensions from the registry
> Returns:
>   The response extensions
> See Also:
>   `m_extension_strings`

### getExtensionStrings

    public String[] getExtensionStrings()

> Accessor method for the response extensions from the registry
> Returns:
>   The response extensions
> See Also:
>   `epp_Response`

### getMessageQueue

    public epp_MessageQueue getMessageQueue()

> Accessor method for the element that indicates the status of the messages queued in the EPP server
> Returns:
>   The messages queue element
> See Also:
>   `m_message_queue`

### getResults

    public epp_Result[] getResults()

> Accessor method for the array of the results that document the success or failure of an EPP command execution
> Returns:
>   The array of the results
> See Also:
>   `m_results`

### getTransId

    public epp_TransID getTransId()

> Accessor method for the transaction identifiers assigned by the client and the server
> Returns:
>   The transaction identifiers
> See Also:
>   `m_trans_id`

### getUnspecString

    public String getUnspecString()

> Deprecated. Please use getExtensionString() instead.

> Accessor method for the response extensions from the registry
> Returns:
>   The response extensions
> See Also:
>   `epp_Response`

### setExtensionString

    public void setExtensionString(String value)

> Deprecated.

> Accessor method for the response extensions from the registry
> Parameters:
>   `value` - The response extensions
> See Also:
>   `m_extension_strings`

### setExtensionStrings

    public void setExtensionStrings(String[] value)

> Accessor method for the response extensions from the registry
> Parameters:
>   `value` - The response extensions
> See Also:
>   `m_extension_strings`

### setMessageQueue

    public void setMessageQueue(epp_MessageQueue value)

> Accessor method for the element that indicates the status of the messages queued in the EPP server
> Parameters:
>   `value` - The messages queue element
> See Also:
>   `m_message_queue`

### setResults

    public void setResults(epp_Result[] value)

> Accessor method for the array of the results that document the success or failure of an EPP command execution
> Parameters:
>   `value` - The array of the results
> See Also:
>   `m_results`

### setTransId

    public void setTransId(epp_TransID value)

> Accessor method for the transaction identifiers assigned by the client and the server
> Parameters:
>   `value` - The transaction identifiers
> See Also:
>   `m_trans_id`

### setUnspecString

    public void setUnspecString(String value)

> Deprecated. Please use getExtensionString() instead.

> Accessor method for the response extensions from the registry
> Parameters:
>   `value` - The response extensions
> See Also:
>   `epp_Response`

### toString

    public String toString()

> Converts this class into a string. Typically used to view the object in debug output.
> Returns:
>   The string representation of this object instance

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS